Mail archive
alpine-aports

Re: [alpine-aports] [PATCH v2] main/glib: add system pcre support, bash completion moved to subpackage

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 23 Feb 2016 18:46:59 +0200

2016-02-23 14:05 GMT+02:00 Timo Teras <timo.teras_at_iki.fi>:

> Hi,
>
> Sorry for the late response on this one. We've been backlogged.
>
> On Wed, 27 Jan 2016 17:37:42 +0200
> Valery Kartel <valery.kartel_at_gmail.com> wrote:
>
> > diff --git a/main/glib/APKBUILD b/main/glib/APKBUILD
> > index 930e54f..f73ffe5 100644
> > _at__at_ -40,41 +38,40 @@ build() {
> > --mandir=/usr/share/man \
> > --disable-gtk-doc \
> > --disable-compile-warnings \
> > + --with-pcre=system \
> > + --with-pic \
>
> --with-pic is probably not required. And the system PCRE is kind of
> discouraged by glib.
>
> Yes, you are right --with-pic does not need there.

I just test to compile latest version of glib (2.47.6) And it requires
system pcre by default (minimal required version is 8.13) a bundled pcre
now stays as workaround.

What do you think to be better: bump to latest glib or just add
bash-completion to current one?

PS: as an upstream wrote 2.46 and 2.47 ABI-s 100% compatible



---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 23 2016 - 18:46:59 GMT